- Processing
- p5.js
- Processing.py

- Processing Foundation

This reference is for Processing 3.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### Amplitude
Examples |
    import processing.sound.*;
    Amplitude amp;
    AudioIn in;

    void setup() {
      size(640, 360);
      background(255);

      // Create an Input stream which is routed into the Amplitude analyzer
      amp = new Amplitude(this);
      in = new AudioIn(this, 0);
      amp.input(in);
    }

    void draw() {
      println(amp.analyze());
    }
Description | This is a volume analyzer. It calculates the root mean square of the amplitude of each audio block.
Methods |
input() | Define the audio input for the analyzer
analyze() | Query an analysis value
stop() | Stop the analyzer
Constructor |
    Amplitude(parent)
Parameters |
parent | PApplet: typically use "this"

Updated on June 20, 2015 10:37:41pm UTC